<?
include ("../common/scripts/connect.inc.php");
require_once ('../common/scripts/persoGD.inc.php');

session_start();

if(isset($_SESSION['idChar']) && isset($_SESSION['idTerrain'])){
	$id_mimichant=$_SESSION['idChar'];
	$id_terrier=$_SESSION['idTerrain'];

  //récupération de l'id du user
  $result= pg_query($dbconn,"select user_id from characters where char_id=".$id_mimichant);
  $id_user=pg_fetch_row($result);
  
  

  //récupération de la liste des mimichants en vente dans cette foire
  $result= pg_query($dbconn,"select * from characters where user_id=".$id_user[0]." and char_inshop=false");
  $cpt=0;
  $affiche='<table width="99%">';
  	
  while($liste=pg_fetch_row($result))
  {
	  $cpt++;
	  if($liste[0]!=$id_mimichant)
	  {
	   //cree l'image du mimichant
	  creeMimichant($liste[15],$liste[14],$liste[12],$liste[13],$liste[23]);
	  $nomImage = '../mimichants/minit'.$liste[12].'o'.$liste[13].'c'.$liste[14].'q'.$liste[15].'c'.$liste[23].'.gif';
	  
	  $affiche.= "<tr id='tr".$cpt."' onclick=\"selectVente('".$liste[0]."', 'tr".$cpt."','".$liste[3]."', '".$leprix[0]."')\"><td><img src=\"".$nomImage."\" onmouseover=\"AffBulle('".$liste[4]."')\" onmouseout=\"HideBulle()\"/></td><td width='90%'>".$liste[3]."</td></tr>";
	  }
  }
  
  $affiche.='</table>';
  
  echo $affiche;
}


?>

